%define upstream_name    Sub-HandlesVia
%define upstream_version 0.050001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Integration with OO frameworks for Sub::HandlesVia
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Exporter::Shiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(List::Util) >= 1.540.0
BuildRequires: perl(Role::Hooks) >= 0.8.0
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny) >= 1.4.0
BuildArch:  noarch

%description
If you've used the Moose manpage's native attribute traits, or the
MooX::HandlesVia manpage before, you should have a fairly good idea what
this does.

Why re-invent the wheel? Well, this is an implementation that should work
okay with Moo, Moose, Mouse, and any other OO toolkit you throw at it. One
ring to rule them all, so to speak.

Also, unlike the MooX::HandlesVia manpage, it honours type constraints,
plus it doesn't have the limitation that it can't mutate non-reference
values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 25 2025 tv <tv> 0.50.1-1.mga10
+ Revision: 2169695
- update to 0.050001

* Tue Aug 29 2023 tv <tv> 0.50.0-1.mga10
+ Revision: 1981023
- update to 0.050000

* Mon Dec 19 2022 tv <tv> 0.46.0-1.mga9
+ Revision: 1925273
- update to 0.046

* Sun Nov 13 2022 tv <tv> 0.45.0-1.mga9
+ Revision: 1906643
- update to 0.045

* Fri Nov 04 2022 tv <tv> 0.44.0-1.mga9
+ Revision: 1902541
- update to 0.044

* Tue Nov 01 2022 tv <tv> 0.42.0-1.mga9
+ Revision: 1900802
- update to 0.042

* Thu Oct 27 2022 tv <tv> 0.38.0-1.mga9
+ Revision: 1899643
- update to 0.038

* Wed Sep 28 2022 tv <tv> 0.37.0-1.mga9
+ Revision: 1893018
- update to 0.037

* Sat Aug 27 2022 tv <tv> 0.36.0-1.mga9
+ Revision: 1881122
- update to 0.036

* Sat Aug 13 2022 tv <tv> 0.35.0-1.mga9
+ Revision: 1877363
- update to 0.035

* Sun Jul 17 2022 tv <tv> 0.32.0-1.mga9
+ Revision: 1869236
- update to 0.032

* Mon Jul 11 2022 tv <tv> 0.31.0-1.mga9
+ Revision: 1868437
- update to 0.031

* Mon Jul 04 2022 tv <tv> 0.28.0-1.mga9
+ Revision: 1867611
- update to 0.028

* Thu Jun 30 2022 tv <tv> 0.27.0-1.mga9
+ Revision: 1866821
- update to 0.027

* Wed Jun 22 2022 tv <tv> 0.25.0-1.mga9
+ Revision: 1865459
- update to 0.025

* Wed Jun 15 2022 tv <tv> 0.23.0-1.mga9
+ Revision: 1864495
- update to 0.023

* Mon Jun 13 2022 tv <tv> 0.21.0-1.mga9
+ Revision: 1864252
- update to 0.021

* Sun Jun 12 2022 tv <tv> 0.20.0-1.mga9
+ Revision: 1864061
- update to 0.020

* Mon Mar 21 2022 umeabot <umeabot> 0.16.0-2.mga9
+ Revision: 1813272
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.16.0-1.mga8
+ Revision: 1629024
- update to 0.016

* Mon Sep 14 2020 tv <tv> 0.15.0-1.mga8
+ Revision: 1626151
- update to 0.015

* Wed Aug 26 2020 tv <tv> 0.14.0-1.mga8
+ Revision: 1619067
- update to 0.014

* Wed Feb 19 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1542506
- imported package perl-Sub-HandlesVia

